corda / net.corda.core.node.services / ReadOnlyTransactionStorage

# ReadOnlyTransactionStorage

`interface ReadOnlyTransactionStorage`

Thread-safe storage of transactions.

### Properties

updates | `abstract val updates: Observable<SignedTransaction>` Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.

### Functions

getTransaction | `abstract fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.
track | `abstract fun track(): Pair<List<SignedTransaction>, Observable<SignedTransaction>>` Returns all currently stored transactions and further fresh ones.

### Inheritors

TransactionStorage | `interface TransactionStorage : ReadOnlyTransactionStorage` Thread-safe storage of transactions.